%define upstream_name phply

Name:           python-%{upstream_name}
Version:        1.2.5
Release:        %mkrel 6
Summary:        PHP parser written in Python
Group:          Development/Python
License:        LGPL
URL:            https://github.com/ramen/phply
Source0:        https://github.com/viraptor/phply/archive/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
phply is a parser for the PHP programming language written using PLY, a
Lex/YACC-style parser generator toolkit for Python.

%package -n     python3-%{upstream_name}
Summary:        PHP parser written in Python
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(ply)

%description -n python3-%{upstream_name}
phply is a parser for the PHP programming language written using PLY, a

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/phplex %{buildroot}%{_bindir}/phplex3
mv %{buildroot}%{_bindir}/phpparse %{buildroot}%{_bindir}/phpparse3

rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{upstream_name}
%{_bindir}/phplex3
%{_bindir}/phpparse3
%{python3_sitelib}/phply
%{python3_sitelib}/phply-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/phply-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.2.5-6.mga8
+ Revision: 1608291
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.2.5-5.mga8
+ Revision: 1535593
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 1.2.5-4.mga8
+ Revision: 1452482
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.2.5-3.mga7
+ Revision: 1353779
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.5-2.mga7
+ Revision: 1289668
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 guillomovitch <guillomovitch> 1.2.5-1.mga7
+ Revision: 1252819
- new version 1.2.5

* Sat Mar 24 2018 guillomovitch <guillomovitch> 1.2.4-1.mga7
+ Revision: 1211922
- new version 1.2.4

* Sun Jan 21 2018 guillomovitch <guillomovitch> 1.2.2-1.mga7
+ Revision: 1195502
- new version 1.2.2

* Thu Nov 23 2017 guillomovitch <guillomovitch> 1.2.1-1.mga7
+ Revision: 1178945
- new version 1.2.1

* Sat Oct 28 2017 guillomovitch <guillomovitch> 1.2.0-1.mga7
+ Revision: 1174460
- new version 1.2.0
  produce python2 and python3 packages

* Mon Feb 08 2016 umeabot <umeabot> 1.0-1.20130821.7.mga6
+ Revision: 946368
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-1.20130821.6.mga5
+ Revision: 747120
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-1.20130821.5.mga5
+ Revision: 729319
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.20130821.5.mga5
+ Revision: 688214
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.20130821.3.mga4
+ Revision: 544044
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-0.20130821.2.mga4
+ Revision: 499117
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.0-0.20130821.1.mga4
+ Revision: 468979
- imported package python-phply

